## Locale format
data remove storage clocks:translate locale[{code:'ru'}]
data modify storage clocks:translate locale prepend value {code:'ru'}
data modify storage clocks:translate locale[0].name set value 'Русский'
data modify storage clocks:translate locale[0].region set value 'Россия'
data modify storage clocks:translate locale[0].author set value 'GalSergey'
data modify storage clocks:translate locale[0].link set value '{"text":"","clickEvent":{"action":"run_command","value":"/function clocks:translate/ru_ru"}}'

## Chat
data modify storage clocks:translate temp[{link:'chat.clock_place'}].text set value 'Используйте эту книгу для настройки часов.'
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Намите тут для установки: '
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Введите три числа как тут: [<час>,<мин>,<сек>]'
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Пример: [2,15,7] - 2 часа, 15 минут, 7 секунд.'
data modify storage clocks:translate temp[{link:'chat.set_time'}].Lore set value 'Скопировать в чат'
data modify storage clocks:translate temp[{link:'chat.set_time'}].Button set value '[Установить время]'
data modify storage clocks:translate temp[{link:'chat.set_timer'}].Button set value '[Установить таймер]'
data modify storage clocks:translate temp[{link:'chat.manual.speed'}].text set value 'Скорость ручных часов: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.title'}].text set value 'Частота обновления часов (тики):'
data modify storage clocks:translate temp[{link:'chat.global.uprate.notify'}].text set value 'Частота обновления не влияет на скорость часов!'
data modify storage clocks:translate temp[{link:'chat.global.uprate.manual_edit'}].text set value 'Ручное редактирование'
data modify storage clocks:translate temp[{link:'chat.global.uprate.daytime'}].text set value 'Дневные: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.timer'}].text set value 'Таймер: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.manual'}].text set value 'Ручные: '
data modify storage clocks:translate temp[{link:'chat.select.no_nearby&already'}].text set value 'Часов поблизости нет, но другие часы уже выделены.'
data modify storage clocks:translate temp[{link:'chat.select.no_nearby'}].text set value 'Рядом часов нет.'
data modify storage clocks:translate temp[{link:'chat.select.already'}].text set value 'Эти часы уже выделены.'
data modify storage clocks:translate temp[{link:'chat.select.success'}].text set value 'Часы успешно выделены.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'У вас включен gamerule sendCommandFeedback.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'Желательно отключить этот gamerule.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'Нажмите тут чтобы отключить:'
data modify storage clocks:translate temp[{link:'chat.gamerule.disable'}].text set value '[Отключить gamerule]'
data modify storage clocks:translate temp[{link:'chat.gamerule.disabled'}].text set value 'Gamerule отключён успешно.'

## Items
data modify storage clocks:translate temp[{link:'item.clock'}].Name set value 'Часы'
data modify storage clocks:translate temp[{link:'item.clock'}].Lore append value 'Поместите в левый нижний угол подготовленного места'
data modify storage clocks:translate temp[{link:'item.clock'}].Lore append value 'Настройте часы используя книгу'
data modify storage clocks:translate temp[{link:'item.book'}].Name set value 'Часовая книга'
data modify storage clocks:translate temp[{link:'item.book'}].Lore append value 'Даёт доступ к управлению часами.'
data modify storage clocks:translate temp[{link:'item.book'}].Lore append value 'Перед измением настроек выберите часы через книгу.'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Name set value 'Считыватель реального времени'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Lore append value 'Поместите в любое место для установки командного блока.'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Lore append value 'Не изменяйте этот командный блок!'

## Book
data modify storage clocks:translate temp[{link:'book.title.not_selected'}].text set value '    Часы не выбраны'
data modify storage clocks:translate temp[{link:'book.title.initial'}].text set value '   Первая настройка'
data modify storage clocks:translate temp[{link:'book.title.timer'}].text set value '          Таймер'
data modify storage clocks:translate temp[{link:'book.title.daytime'}].text set value '   Дневные'
data modify storage clocks:translate temp[{link:'book.title.manual'}].text set value '   Ручные'
data modify storage clocks:translate temp[{link:'book.select'}].text set value '     [Выбрать часы]'
data modify storage clocks:translate temp[{link:'book.select.Lore'}].text set value 'Выбрать ближайщие часы для редактирования'
data modify storage clocks:translate temp[{link:'book.unselect'}].text set value '   [Снять выделение]'
data modify storage clocks:translate temp[{link:'book.unselect.Lore'}].text set value 'Снять выделение с часов'
data modify storage clocks:translate temp[{link:'book.control'}].text set value '  Управление часами'
data modify storage clocks:translate temp[{link:'book.select_type'}].text set value '  Выберите часы'
data modify storage clocks:translate temp[{link:'book.control.select'}].text set value 'Выбрать'
data modify storage clocks:translate temp[{link:'book.control.initial.daytime'}].text set value '[ Дневные ]        '
data modify storage clocks:translate temp[{link:'book.control.initial.daytime'}].discription set value 'daytime discription'
data modify storage clocks:translate temp[{link:'book.control.initial.timer'}].text set value '[ Таймер ]          '
data modify storage clocks:translate temp[{link:'book.control.initial.timer'}].discription set value 'timer discription'
data modify storage clocks:translate temp[{link:'book.control.initial.manual'}].text set value '[ Ручные часы ]   '
data modify storage clocks:translate temp[{link:'book.control.initial.manual'}].discription set value 'manual discription'
data modify storage clocks:translate temp[{link:'book.control.initial.rotation'}].text set value '      Вращение'
data modify storage clocks:translate temp[{link:'book.control.timer.set'}].text set value '     [ Уст. таймер ]'
data modify storage clocks:translate temp[{link:'book.control.timer.reset'}].text set value '   [ Сброс таймера ]'
data modify storage clocks:translate temp[{link:'book.control.timer.reset'}].Lore set value 'Сбросить таймер и остановить'
data modify storage clocks:translate temp[{link:'book.control.timer.stop_zero'}].text set value '     Стоп при нуле'
data modify storage clocks:translate temp[{link:'book.control.manual.set_time'}].text set value '      [Уст. время]'
data modify storage clocks:translate temp[{link:'book.control.manual.speed'}].text set value '       Скорость'
data modify storage clocks:translate temp[{link:'book.control.manual.speed.edit'}].text set value 'Открыть редактор'
data modify storage clocks:translate temp[{link:'book.control.manual.full_manual'}].text set value 'Полностью ручной'
data modify storage clocks:translate temp[{link:'book.control.manual.full_manual'}].Lore set value '"Если включён полностью ручной режим, то есть два способа изменения часов:\\n ⊳ scoreboard objective manual.time для этих чвсов.\\n ⊳ storage clocks:data timer.set как массив из 3-х значений."'
data modify storage clocks:translate temp[{link:'book.page.selector'}].text set value 'Стр.: '
data modify storage clocks:translate temp[{link:'book.settings.clock'}].text set value 'Настройки часов'
data modify storage clocks:translate temp[{link:'book.settings.display'}].text set value 'Настройки отображения'
data modify storage clocks:translate temp[{link:'book.settings.global'}].text set value 'Глобальные настройки'
data modify storage clocks:translate temp[{link:'book.success'}].text set value '   [ Подтвердить ]'
data modify storage clocks:translate temp[{link:'book.success'}].Lore set value 'Подтвердить'
data modify storage clocks:translate temp[{link:'book.remove'}].text set value '   [ Удалить часы ]'
data modify storage clocks:translate temp[{link:'book.remove'}].Lore set value 'Удалить часы'
data modify storage clocks:translate temp[{link:'book.start'}].text set value ' [Старт]'
data modify storage clocks:translate temp[{link:'book.play'}].text set value '[Старт]  '
data modify storage clocks:translate temp[{link:'book.pause'}].text set value '[Пауза]'
data modify storage clocks:translate temp[{link:'book.reset'}].text set value '      [Сброс]'
data modify storage clocks:translate temp[{link:'book.yes'}].text set value '[Да]  '
data modify storage clocks:translate temp[{link:'book.no'}].text set value '[Нет]'
data modify storage clocks:translate temp[{link:'book.reset.Lore'}].text set value 'Это полностью сбросит таймер!'
data modify storage clocks:translate temp[{link:'book.title2'}].text set value '    Настройка часов'
data modify storage clocks:translate temp[{link:'book.clock_format'}].text set value '  Формат часов:'
data modify storage clocks:translate temp[{link:'book.12h'}].text set value '[12 часов]'
data modify storage clocks:translate temp[{link:'book.24h'}].text set value '[24 часа]'
data modify storage clocks:translate temp[{link:'book.time_format'}].text set value '  Формат времени:'
data modify storage clocks:translate temp[{link:'book.hh:mm:ss'}].text set value '[ЧЧ:ММ:СС]'
data modify storage clocks:translate temp[{link:'book.hh:mm'}].text set value '[ЧЧ:ММ]'
data modify storage clocks:translate temp[{link:'book.mm:ss'}].text set value '[ММ:СС]'
data modify storage clocks:translate temp[{link:'book.title3'}].text set value '    Общие настройки'
data modify storage clocks:translate temp[{link:'book.global.show'}].text set value ' Показать выделение'
data modify storage clocks:translate temp[{link:'book.global.show.yes'}].Lore set value 'Показывать выделение'
data modify storage clocks:translate temp[{link:'book.global.show.no'}].Lore set value 'Скрыть выеделение часов'
data modify storage clocks:translate temp[{link:'book.global.uprate'}].text set value '        Частота '
data modify storage clocks:translate temp[{link:'book.global.uprate.edit'}].text set value 'Открыть редактирование'
data modify storage clocks:translate temp[{link:'book.global.uprate.daytime'}].text set value 'Дневные: '
data modify storage clocks:translate temp[{link:'book.global.uprate.timer'}].text set value 'Таймер: '
data modify storage clocks:translate temp[{link:'book.global.uprate.manual'}].text set value 'Ручные: '
data modify storage clocks:translate temp[{link:'book.global.localization'}].text set value '    Локализация '
data modify storage clocks:translate temp[{link:'book.global.localization.author'}].text set value 'Перевод от '
data modify storage clocks:translate temp[{link:'book.global.localization.refresh'}].text set value 'Обновить список переводов'

function clocks:translate/selected