## Locale format
data remove storage clocks:translate locale[{code:'en'}]
data modify storage clocks:translate locale prepend value {code:'en'}
data modify storage clocks:translate locale[0].name set value 'English'
data modify storage clocks:translate locale[0].region set value 'United States'
data modify storage clocks:translate locale[0].author set value 'GalSergey'
data modify storage clocks:translate locale[0].link set value '{"text":"","clickEvent":{"action":"run_command","value":"/function clocks:translate/en_us"}}'

## Chat
data modify storage clocks:translate temp[{link:'chat.clock_place'}].text set value 'Use this book to set clock.'
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Click here to set: '
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Enter three numbers like this: [<hour>,<min>,<sec>]'
data modify storage clocks:translate temp[{link:'chat.set_time'}].text append value 'Example: [2,15,7] - 2 hours, 15 minutes, 7 seconds.'
data modify storage clocks:translate temp[{link:'chat.set_time'}].Lore set value 'Suggest template'
data modify storage clocks:translate temp[{link:'chat.set_time'}].Button set value '[Set time]'
data modify storage clocks:translate temp[{link:'chat.set_timer'}].Button set value '[Set timer]'
data modify storage clocks:translate temp[{link:'chat.manual.speed'}].text set value 'Manual clock speed: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.title'}].text set value 'Clock update rate (in ticks)'
data modify storage clocks:translate temp[{link:'chat.global.uprate.notify'}].text set value 'The update rate does not affect the speed of the clock!'
data modify storage clocks:translate temp[{link:'chat.global.uprate.manual_edit'}].text set value 'Manual edit'
data modify storage clocks:translate temp[{link:'chat.global.uprate.daytime'}].text set value 'DayTime: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.timer'}].text set value 'Timer: '
data modify storage clocks:translate temp[{link:'chat.global.uprate.manual'}].text set value 'Manual: '
data modify storage clocks:translate temp[{link:'chat.select.no_nearby&already'}].text set value 'No clock nearby, but another clock is already selected.'
data modify storage clocks:translate temp[{link:'chat.select.no_nearby'}].text set value 'No clock nearby.'
data modify storage clocks:translate temp[{link:'chat.select.already'}].text set value 'Clocks are already selected.'
data modify storage clocks:translate temp[{link:'chat.select.success'}].text set value 'Clock successfully selected.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'You have gamerule sendCommandFeedback enabled.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'It is advisable to disable this gamerule.'
data modify storage clocks:translate temp[{link:'chat.gamerule.SCF.enabled'}].text append value 'Click here to disable:'
data modify storage clocks:translate temp[{link:'chat.gamerule.disable'}].text set value '[Disable gamerule]'
data modify storage clocks:translate temp[{link:'chat.gamerule.disabled'}].text set value 'Gamerule disabled successfully.'

## Items
data modify storage clocks:translate temp[{link:'item.clock'}].Name set value 'Clock'
data modify storage clocks:translate temp[{link:'item.clock'}].Lore append value 'Place in lower left corner of the prepared place'
data modify storage clocks:translate temp[{link:'item.clock'}].Lore append value 'Clock settings using book'
data modify storage clocks:translate temp[{link:'item.book'}].Name set value 'Clock Book'
data modify storage clocks:translate temp[{link:'item.book'}].Lore append value 'Gives access to clock control.'
data modify storage clocks:translate temp[{link:'item.book'}].Lore append value 'Before changing a settings, select the clock using this book.'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Name set value 'Time Reader'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Lore append value 'Place anywhere to install the command block.'
data modify storage clocks:translate temp[{link:'item.time_reader'}].Lore append value 'Do not modify this command block manually!'

## Book
data modify storage clocks:translate temp[{link:'book.title.not_selected'}].text set value '   Clock not selected'
data modify storage clocks:translate temp[{link:'book.title.initial'}].text set value '    Initial setup'
data modify storage clocks:translate temp[{link:'book.title.timer'}].text set value '       Timer Clock'
data modify storage clocks:translate temp[{link:'book.title.daytime'}].text set value '      DayTime Clock'
data modify storage clocks:translate temp[{link:'book.title.manual'}].text set value '       Manual Clock'
data modify storage clocks:translate temp[{link:'book.select'}].text set value '      [Select clock]'
data modify storage clocks:translate temp[{link:'book.select.Lore'}].text set value 'Select nearest clock to edit'
data modify storage clocks:translate temp[{link:'book.unselect'}].text set value '      [Clear select]'
data modify storage clocks:translate temp[{link:'book.unselect.Lore'}].text set value 'Unselect a clock'
data modify storage clocks:translate temp[{link:'book.control'}].text set value '      Clock control'
data modify storage clocks:translate temp[{link:'book.select_type'}].text set value ' Select clock type'
data modify storage clocks:translate temp[{link:'book.control.select'}].text set value 'Select'
data modify storage clocks:translate temp[{link:'book.control.initial.daytime'}].text set value '[DayTime Clock]     '
data modify storage clocks:translate temp[{link:'book.control.initial.daytime'}].discription set value 'daytime discription'
data modify storage clocks:translate temp[{link:'book.control.initial.timer'}].text set value '[Timer Clock]        '
data modify storage clocks:translate temp[{link:'book.control.initial.timer'}].discription set value 'timer discription'
data modify storage clocks:translate temp[{link:'book.control.initial.manual'}].text set value '[Manual Clock]      '
data modify storage clocks:translate temp[{link:'book.control.initial.manual'}].discription set value 'manual discription'
data modify storage clocks:translate temp[{link:'book.control.initial.rotation'}].text set value '      Rotation'
data modify storage clocks:translate temp[{link:'book.control.timer.set'}].text set value '       [Set timer]'
data modify storage clocks:translate temp[{link:'book.control.timer.reset'}].text set value '     [Reset timer]'
data modify storage clocks:translate temp[{link:'book.control.timer.reset'}].Lore set value 'Reset timer and stop'
data modify storage clocks:translate temp[{link:'book.control.timer.stop_zero'}].text set value '       Stop at zero'
data modify storage clocks:translate temp[{link:'book.control.manual.set_time'}].text set value '        [Set time]'
data modify storage clocks:translate temp[{link:'book.control.manual.speed'}].text set value '       Speed'
data modify storage clocks:translate temp[{link:'book.control.manual.speed.edit'}].text set value 'Open editor'
data modify storage clocks:translate temp[{link:'book.control.manual.full_manual'}].text set value '      Full manual'
data modify storage clocks:translate temp[{link:'book.control.manual.full_manual'}].Lore set value '"If Full manual mode is enabled, then there are only two ways to change the clock:\\n ⊳ scoreboard objective manual.time for this clocks.\\n ⊳ storage clocks:data timer.set as an array of 3 numbers."'
data modify storage clocks:translate temp[{link:'book.page.selector'}].text set value 'Page: '
data modify storage clocks:translate temp[{link:'book.settings.clock'}].text set value 'Clock settings'
data modify storage clocks:translate temp[{link:'book.settings.display'}].text set value 'Display settings'
data modify storage clocks:translate temp[{link:'book.settings.global'}].text set value 'Global settings'
data modify storage clocks:translate temp[{link:'book.success'}].text set value '      [Success]'
data modify storage clocks:translate temp[{link:'book.success'}].Lore set value 'Success'
data modify storage clocks:translate temp[{link:'book.remove'}].text set value '    [Remove clock]'
data modify storage clocks:translate temp[{link:'book.remove'}].Lore set value 'Remove clock'
data modify storage clocks:translate temp[{link:'book.start'}].text set value '[Start]'
data modify storage clocks:translate temp[{link:'book.play'}].text set value '[Play]  '
data modify storage clocks:translate temp[{link:'book.pause'}].text set value '[Pause]'
data modify storage clocks:translate temp[{link:'book.reset'}].text set value '[Reset]'
data modify storage clocks:translate temp[{link:'book.yes'}].text set value '[Yes]  '
data modify storage clocks:translate temp[{link:'book.no'}].text set value '[No]'
data modify storage clocks:translate temp[{link:'book.reset.Lore'}].text set value 'This will reset the timer!'
data modify storage clocks:translate temp[{link:'book.title2'}].text set value '    Display settings'
data modify storage clocks:translate temp[{link:'book.clock_format'}].text set value '      Clock format'
data modify storage clocks:translate temp[{link:'book.12h'}].text set value '[12 hours]'
data modify storage clocks:translate temp[{link:'book.24h'}].text set value '[24 hours]'
data modify storage clocks:translate temp[{link:'book.time_format'}].text set value '       Time format'
data modify storage clocks:translate temp[{link:'book.hh:mm:ss'}].text set value '[HH:MM:SS]'
data modify storage clocks:translate temp[{link:'book.hh:mm'}].text set value '[HH:MM]'
data modify storage clocks:translate temp[{link:'book.mm:ss'}].text set value '[MM:SS]'
data modify storage clocks:translate temp[{link:'book.title3'}].text set value '     Global settings'
data modify storage clocks:translate temp[{link:'book.global.show'}].text set value '   Selection highlight'
data modify storage clocks:translate temp[{link:'book.global.show.yes'}].Lore set value 'Enable display of selection'
data modify storage clocks:translate temp[{link:'book.global.show.no'}].Lore set value 'Hide display of selection'
data modify storage clocks:translate temp[{link:'book.global.uprate'}].text set value '     Update rate '
data modify storage clocks:translate temp[{link:'book.global.uprate.edit'}].text set value 'Open editor'
data modify storage clocks:translate temp[{link:'book.global.uprate.daytime'}].text set value 'DayTime: '
data modify storage clocks:translate temp[{link:'book.global.uprate.timer'}].text set value 'Timer: '
data modify storage clocks:translate temp[{link:'book.global.uprate.manual'}].text set value 'Manual: '
data modify storage clocks:translate temp[{link:'book.global.localization'}].text set value '    Localization '
data modify storage clocks:translate temp[{link:'book.global.localization.author'}].text set value 'Translated by '
data modify storage clocks:translate temp[{link:'book.global.localization.refresh'}].text set value 'Refresh localizations list'

function clocks:translate/selected